"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var commander_1 = __importDefault(require("commander"));
function getCliConfig() {
    commander_1.default
        .name("ts-to-io")
        .option("--follow-imports", "output codecs for types declared in imported files")
        .option("--no-include-header", "omit io-ts import from the output")
        .arguments("<files>");
    commander_1.default.parse(process.argv);
    return __assign(__assign({}, commander_1.default.opts()), { fileNames: commander_1.default.args });
}
exports.getCliConfig = getCliConfig;
function displayHelp() {
    return commander_1.default.help();
}
exports.displayHelp = displayHelp;
exports.DEFAULT_FILE_NAME = "io-to-ts.ts";
exports.defaultConfig = {
    followImports: false,
    includeHeader: true,
    fileNames: []
};
//# sourceMappingURL=config.js.map